#pragma once

#include <QObject>

class LoggingWithSymbols : public QObject
{
    Q_OBJECT

private slots:
    void resolveFunctionSingle();
    void resolveFunctionTest();

    void timeInfo();

    void traceWithBool();
    void traceWithInt();
    void traceWithUnsignedInt();
    void traceWithFloat();

    void traceMulti();

    void unsupportedTest();

public:
    static std::string s_symbolFilePath;
};
