#include <QCoreApplication>
#include <QDebug>
#include <QLoggingCategory>

void grandParentFunction()
{
    qDebug() << "grandParent";
}
void parentFunction()
{
    qDebug() << "parent";
    grandParentFunction();
}
void childFunction()
{
    qDebug() << "child";
    parentFunction();
}

int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    qSetMessagePattern("%{time} file: %{file}(%{line}) `%{function}`:%{message}");
    QLoggingCategory::setFilterRules("*.info=false");

    qInfo() << "main";
    childFunction();
    return 0;
}
